---
title: Simple Usage
order: 1
---

````jsx
import React, { Component } from "react";
import ReactDOM from "react-dom";

import { lazy, loadable } from "@ozo/lazy-loader";
import Loader from "react-loader-spinner";
import "react-loader-spinner/dist/loader/css/react-spinner-loader.css";
import Demo from "./Demo";

const LazyDemo = lazy(
  () => import("./Demo"),
  <Loader type="Triangle" color="#fff" height={50} width={50} />
);

/**
 * 动态加载组件的组件,支持自定义加载动画
 */
const AsyncLoad = loadable(({ path }) => import(path));

function randomString(len) {
  len = len || 32;
  var $chars =
    "ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678"; /****默认去掉了容易混淆的字符oOLl,9gq,Vv,Uu,I1****/
  var maxPos = $chars.length;
  var pwd = "";
  for (i = 0; i < len; i++) {
    pwd += $chars.charAt(Math.floor(Math.random() * maxPos));
  }
  return pwd;
}

class App extends Component {
  state = {
    list: randomString(64).split("")
  };
  render() {
    const { list } = this.state;
    return (
      <div>
        <AsyncLoad path="./Demo" list={list} />
        <LazyDemo list={list} />
        <Demo list={list} />
      </div>
    );
  }
}

ReactDOM.render(<App />, mountNode);
````
