"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.lazyLib = exports.lazyX = exports.lazy = void 0;

var _react = _interopRequireWildcard(require("react"));

var _component = require("@loadable/component");

var _LoadSpinner = require("./LoadSpinner");

/**
 * 组件导入函数,支持自定义加载动画
 * Create a loadable component "Suspense" ready.
 * @param {Function} func 返回动态引入的函数, 如 ()=>import('./a/b/c')
 * @param {Function} spinner 加载的的loading, 默认为loadSpinner
 * @returns {Component}
 */
var lazy = function lazy(func, spinner) {
  var OtherComponent = (0, _react.lazy)(func);
  return function LazyComponent() {
    return _react.default.createElement(_react.Suspense, {
      fallback: (0, _LoadSpinner.loadSpinner)(spinner)
    }, _react.default.createElement(OtherComponent, null));
  };
};
/**
 * 组件导入函数,支持自定义加载动画
 * Create a loadable component "Suspense" ready.
 * @param {Function} func 返回动态引入的函数, 如 ()=>import('./a/b/c')
 * @param {Function} spinner 加载的的loading, 默认为loadSpinner
 * @returns {Component}
 */


exports.lazy = lazy;

var lazyX = function lazyX(func, spinner) {
  var OtherComponent = (0, _component.lazy)(func);
  return function LazyComponent() {
    return _react.default.createElement(_react.Suspense, {
      fallback: (0, _LoadSpinner.loadSpinner)(spinner)
    }, _react.default.createElement(OtherComponent, null));
  };
};
/**
 * lib动态导入函数
 * @param {Function} func 返回动态引入的函数, 如 ()=>import('abc')
 */


exports.lazyX = lazyX;
var lazyLib = _component.lazy.lib;
exports.lazyLib = lazyLib;