"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.loadSpinner = exports.LoadSpinnerWrapper = void 0;

var _react = _interopRequireDefault(require("react"));

var _LoadSpinnerModule = _interopRequireDefault(require("./LoadSpinner.module.scss"));

// 过度loader容器
var LoadSpinnerWrapper = function LoadSpinnerWrapper(_ref) {
  var _ref$className = _ref.className,
      className = _ref$className === void 0 ? "" : _ref$className,
      _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      children = _ref.children;
  return _react.default.createElement("div", {
    className: "".concat(_LoadSpinnerModule.default.wrapper, " ").concat(className),
    style: style
  }, children);
}; // 加载新页面的过度loader


exports.LoadSpinnerWrapper = LoadSpinnerWrapper;

var loadSpinner = function loadSpinner() {
  var spinner = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _react.default.createElement("div", {
    className: _LoadSpinnerModule.default.loader
  });
  var isLoading = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  var error = arguments.length > 2 ? arguments[2] : undefined;

  if (isLoading) {
    return _react.default.createElement(LoadSpinnerWrapper, null, spinner);
  }

  if (error) {
    return _react.default.createElement("div", null, "\u52A0\u8F7D\u5931\u8D25\uFF0C\u8BF7\u5237\u65B0");
  }

  return null;
};

exports.loadSpinner = loadSpinner;

var _default = function _default() {
  return _react.default.createElement("div", null, loadSpinner());
};

exports.default = _default;